Debian Bug report logs - #458154
Document how to avoid dropped network-console connections

version graph

Package: installation-guide; Maintainer for installation-guide is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: del@alum.mit.edu

Date: Sat, 29 Dec 2007 04:09:02 UTC

Severity: wishlist

Tags: moreinfo

Fixed in version installation-guide/20080211

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to del@alum.mit.edu:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Del Merritt <del@alum.mit.edu>
To: submit@bugs.debian.org
Subject: Install of debian-4.0r2 on NSLU2
Date: Fri, 28 Dec 2007 22:50:10 -0500
Package: installation-reports

Boot method: network
Image version: http://www.slug-firmware.net/d-dls.php
Date: Fri Dec 28 2007 18:30 EST

Machine: Linksys NSLU2
Processor: ARM
Memory: Standard slug (32MB I think)
Partitions: df
Filesystem 1k-blocks Used Available Use% Mounted on
tmpfs 14992 392 14600 3% /dev
tmpfs 14992 392 14600 3% /dev
tmpfs 14992 392 14600 3% /.dev
/dev/scsi/host0/bus0/target0/lun0/part1 16516052 402220 15274840 3% /target
/dev/scsi/host0/bus0/target0/lun0/part6 215578152 191832 204435216 0% 
/target/home

Output of lspci -nn and lspci -vnn:
# /usr/bin/lspci -nn
00:01.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43)
00:01.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43)
00:01.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04)

# /usr/bin/lspci -nn
00:01.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43)
00:01.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43)
00:01.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 04)
/proc # /usr/bin/lspci -vnn
00:01.0 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) 
(prog-if 10)
Subsystem: NEC Corporation USB [1033:0035]
Flags: bus master, medium devsel, latency 8, IRQ 28
Memory at 48000000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [40] Power Management version 2

00:01.1 USB Controller [0c03]: NEC Corporation USB [1033:0035] (rev 43) 
(prog-if 10)
Subsystem: NEC Corporation USB [1033:0035]
Flags: bus master, medium devsel, latency 8, IRQ 27
Memory at 48001000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [40] Power Management version 2

00:01.2 USB Controller [0c03]: NEC Corporation USB 2.0 [1033:00e0] (rev 
04) (prog-if 20)
Subsystem: NEC Corporation USB 2.0 [1033:00e0]
Flags: bus master, medium devsel, latency 68, IRQ 26
Memory at 48002000 (32-bit, non-prefetchable) [size=256]
Capabilities: [40] Power Management version 2


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot: [O]
Detect network card: [O]
Configure network: [O]
Detect CD: [ ]
Load installer modules: [O]
Detect hard drives: [O]
Partition hard drives: [O]
Install base system: [O]
Clock/timezone setup: [O]
User/password setup: [O]
Install tasks: [E]
Following instructions at 
http://www.cyrius.com/debian/nslu2/install.html and using the 
"unofficial" image (because I don't have a USB ethernet dongle), all 
seems to go well. But since the install takes a long time, if I walk 
away and come back, I see this screen:

┌───────┤ [!] Configuring popularity-contest ├─────────┐
│ │
│ The system may anonymously supply the distribution developers with
│ statistics about the most used packages on this system. This
│ information influences decisions such as which packages should go on
│ the first distribution CD.
┌│
││ If you choose to participate, the automatic submission script will
││ run once every week, sending statistics to the distribution
││ developers. The collected statistics can be viewed on
││ http://popcon.debian.org/.
││ │
└│ This choice can be later modified by running "dpkg-reconfigure
│ popularity-contest".
│
│ Participate in the package usage survey? │

Unfortunately the ssh session times out, since the install takes over 2 
hours and I walked away. When I try to start the install again ("% ssh 
installer@myslug") I come back part way, but then get a red screen that 
says the install failed. Even if I try to redo the step, the install is 
labeled as failing.

Install boot loader: [E]
Would not proceed with prior error(s)

Overall install: [E]

Comments/Problems:

Attempt to install debian-4.0r2 onto an NSLU2 following instructions 
provided at http://www.cyrius.com/debian/nslu2/install.html all seems to 
go well, but you can't walk away during the install lest the ssh session 
timeout. Is there a way to tell ssh, "don't time out at all"? Or is 
there a proper way to restart the installer at the point where the ssh 
session timed out? It seems the installer may have left some temporary 
files in place that, when restarted/reentered, confuse it and keep it 
from completing the installation.




Bug reassigned from package `installation-reports' to `network-console'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 29 Dec 2007 08:24:02 GMT) Full text and rfc822 format available.

Changed Bug title to `[NSLU2] ssh connection should not time out' from `Install of debian-4.0r2 on NSLU2'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 29 Dec 2007 08:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #14 received at 458154@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: del@alum.mit.edu, 458154@bugs.debian.org
Cc: cjwatson@debian.org
Subject: Re: Bug#458154: Install of debian-4.0r2 on NSLU2
Date: Sat, 29 Dec 2007 09:42:11 +0100
* Del Merritt <del@alum.mit.edu> [2007-12-28 22:50]:
> Unfortunately the ssh session times out, since the install takes
> over 2 hours and I walked away.

I wonder if this is really a problem with the installer rather than
the config settings of your ssh client.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to 458154@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 458154@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 458154@bugs.debian.org
Cc: del@alum.mit.edu
Subject: Re: Bug#458154: Install of debian-4.0r2 on NSLU2
Date: Sat, 29 Dec 2007 17:33:17 +0100
tags 458154 unreproducible
thanks

On Saturday 29 December 2007, Martin Michlmayr wrote:
> * Del Merritt <del@alum.mit.edu> [2007-12-28 22:50]:
> > Unfortunately the ssh session times out, since the install takes
> > over 2 hours and I walked away.
>
> I wonder if this is really a problem with the installer rather than
> the config settings of your ssh client.

I think Martin is correct here. I've just let network-console sit for about 
4 hours (while I was having a nice day on the beach) for an install on a 
sparc box, and I could just continue the install when I got back.

So it looks as if there's nothing on the debian-installer side that breaks 
the connection.

Cheers,
FJP




Tags added: unreproducible Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sat, 29 Dec 2007 16:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 458154@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Del Merritt <del@alum.mit.edu>
Cc: 458154@bugs.debian.org
Subject: Re: Install of debian-4.0r2 on NSLU2
Date: Sun, 30 Dec 2007 10:41:07 +0100
Op 29-12-2007 om 13:30 schreef Del Merritt:
> Rick Thomas wrote:
>> Also, make sure your ssh-client machine doesn't go to sleep while 
>> waiting...
>
> Thanks.  I'm trying this out at the moment.  Then again, I'm also "here" 
> and the install is 96% complete, so I may actually be around when it 
> finishes, mooting the issue (for me).
>
> It looks like my bug has been "accepted", BTW.  It's Bug#458154, and was 
> retitled and reassigned thus:
>
>    Changed Bug title to `[NSLU2] ssh connection should not time out'
>    from `Install of debian-4.0r2 on NSLU2'.
>    Bug reassigned from package `installation-reports' to `network-console'.
>
> So someone else may not have to see this catch them in the future.

With a carbon copy, Cc:, to 458154@bugs.debian.org,
is the bugreport kept up-to-date.

> Thanks again, and wishing all a Happy New Year.
> -Del

Also best wishes for the new year.


Cheers
Geert Stappers

P.S.
Please tell when the install finishes,
preferable to the address of the bugreport.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to del@alum.mit.edu:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 458154@bugs.debian.org (full text, mbox):

From: Del Merritt <del@alum.mit.edu>
To: 458154@bugs.debian.org
Cc: Geert Stappers <stappers@stappers.nl>
Subject: Re: Install of debian-4.0r2 on NSLU2
Date: Tue, 01 Jan 2008 16:31:05 -0500
Geert Stappers wrote:
> Op 29-12-2007 om 13:30 schreef Del Merritt:
>   
>> Rick Thomas wrote:
>>     
>>> Also, make sure your ssh-client machine doesn't go to sleep while 
>>> waiting...
>>>       
>> Thanks.  I'm trying this out at the moment.  Then again, I'm also "here" 
>> and the install is 96% complete, so I may actually be around when it 
>> finishes, mooting the issue (for me).
>>     
>
> With a carbon copy, Cc:, to 458154@bugs.debian.org,
> is the bugreport kept up-to-date.
>
>
> Cheers
> Geert Stappers
>
> P.S.
> Please tell when the install finishes,
> preferable to the address of the bugreport.
>   

Adding  "ServerAliveInterval 2" to my .ssh/config file allows me to 
complete the install without further issues.  I now have a Linksys 
"slug" running debian.  Huzzah and all that.  A "minimal" fix to this 
would be to document the issue in a way that reminds users to modify 
their .ssh/config file in this manner if their site's security policy 
allows it.  If it is not permitted for some reason, then if there is a 
way that the ssh server on the in-progress system can do this keep 
alive, it might result in fewer surprises and less end-user frustration.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas55@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 458154@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas55@pobox.com>
To: del@alum.mit.edu, 458154@bugs.debian.org
Cc: Debian-Boot List <debian-boot@lists.debian.org>
Subject: Re: Bug#458154: Install of debian-4.0r2 on NSLU2
Date: Wed, 02 Jan 2008 02:17:52 -0500
On Jan 1, 2008, at 4:31 PM, Del Merritt wrote:

> Geert Stappers wrote:
>> Op 29-12-2007 om 13:30 schreef Del Merritt:
>>
>>> Rick Thomas wrote:
>>>
>>>> Also, make sure your ssh-client machine doesn't go to sleep  
>>>> while waiting...
>>>>
>>> Thanks.  I'm trying this out at the moment.  Then again, I'm also  
>>> "here" and the install is 96% complete, so I may actually be  
>>> around when it finishes, mooting the issue (for me).
>>>
>>
>> With a carbon copy, Cc:, to 458154@bugs.debian.org,
>> is the bugreport kept up-to-date.
>>
>>
>> Cheers
>> Geert Stappers
>>
>> P.S.
>> Please tell when the install finishes,
>> preferable to the address of the bugreport.
>>
>
> Adding  "ServerAliveInterval 2" to my .ssh/config file allows me to  
> complete the install without further issues.  I now have a Linksys  
> "slug" running debian.  Huzzah and all that.  A "minimal" fix to  
> this would be to document the issue in a way that reminds users to  
> modify their .ssh/config file in this manner if their site's  
> security policy allows it.  If it is not permitted for some reason,  
> then if there is a way that the ssh server on the in-progress  
> system can do this keep alive, it might result in fewer surprises  
> and less end-user frustration.

It pays to read the documentation...  Look what I discovered while  
browsing the wiki for an unrelated problem!

As noted at
http://wiki.debian.org/Manual-Howto#head- 
ac718e22a5cb533439c82a459acd17ba06ac387d
There is an option in the server configuration file /etc/ssh/ 
sshd_config you can set
that will do what you need.

> ClientAliveInterval
>    Sets a timeout interval in seconds after which, if no data has  
> been received from the
>    client, sshd will send a message through the encrypted channel  
> to request a response
>    from the client.  The default is 0, indicating that these  
> messages will not be sent to
>    the client.


Maybe this could be set for installations?  It's not a good idea to  
set it for the installed config file, for just the kind of security  
reasons Del alludes to above.  But it could save some long-running  
installations on difficult to access (physically) machines.

Rick





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 458154@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: control@bugs.debian.org
Cc: 458154@bugs.debian.org
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Wed, 2 Jan 2008 15:38:26 +0100
#Op 02-01-2008 om 02:17 schreef Rick Thomas:
#>
#> Maybe this could be set for installations?  It's not a good idea to set it 
#> for the installed config file, for just the kind of security reasons Del 
#> alludes to above.  But it could save some long-running installations on 
#> difficult to access (physically) machines.
#
# Because I assume it doesn't harm to extend the time-out.
#
severity 458154 wishlist
retitle 458154 network-console: long time-out time during install
tags 458154 -unreproducible
thanks

Cheers
Geert Stappers




Severity set to `wishlist' from `normal' Request was from Geert Stappers <stappers@stappers.nl> to control@bugs.debian.org. (Wed, 02 Jan 2008 14:45:05 GMT) Full text and rfc822 format available.

Changed Bug title to `network-console: long time-out time during install' from `[NSLU2] ssh connection should not time out'. Request was from Geert Stappers <stappers@stappers.nl> to control@bugs.debian.org. (Wed, 02 Jan 2008 14:45:06 GMT) Full text and rfc822 format available.

Tags removed: unreproducible Request was from Geert Stappers <stappers@stappers.nl> to control@bugs.debian.org. (Wed, 02 Jan 2008 14:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to "G. Del Merritt" <del@lincoln.midcoast.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 458154@bugs.debian.org (full text, mbox):

From: "G. Del Merritt" <del@lincoln.midcoast.com>
To: Debian Bug Tracking System <owner@bugs.debian.org>
Cc: Geert Stappers <stappers@stappers.nl>, "Debian Install System Team (network-console #458154)" <debian-boot@lists.debian.org>, 458154@bugs.debian.org
Subject: Re: Processed: Re: Bug#458154: network-console: long time-out time during install
Date: Fri, 04 Jan 2008 14:20:16 -0500
Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
>
>   
>> #Op 02-01-2008 om 02:17 schreef Rick Thomas:
>> #>
>> #> Maybe this could be set for installations?  It's not a good idea to set it
>> #> for the installed config file, for just the kind of security reasons Del
>> #> alludes to above.  But it could save some long-running installations on
>> #> difficult to access (physically) machines.
>> #
>> # Because I assume it doesn't harm to extend the time-out.
>> #
>> severity 458154 wishlist
>>     
> Bug#458154: [NSLU2] ssh connection should not time out
> Severity set to `wishlist' from `normal'
>   

Please note: I was not able to recover "gracefully" from the timeout.  
Instead, I had to restart the installation (three separate times!) after 
reformatting the root partition.  It is certainly possible I could have 
cleaned up a file or two with the installer console, but I didn't have 
the patience or the knowledge of the installer's internals to make that 
happen in a timely manner.

The embedded - or at least headless/no-console - nature of the NSLU2 
means that the only way to perform the install is via ssh (or to 
completely build the target boot disk from another system).  After a 
timeout, I would ssh back to "installer@myslug" and be given the option 
to pick up where I left off, but then I'd get told that there was an 
error.  Thus there are at least two bugs here: 1) the ssh timeout during 
the install, which in turn shows 2) an error recovery glitch in the 
installer.

>> retitle 458154 network-console: long time-out time during install
>>     
> Bug#458154: [NSLU2] ssh connection should not time out
> Changed Bug title to `network-console: long time-out time during install' from `[NSLU2] ssh connection should not time out'.
>   

Really?  I think the prior title was more appropriate: during an 
install, the ssh connection should not time out.


>> tags 458154 -unreproducible
>>     
> Bug#458154: network-console: long time-out time during install
> Tags were: unreproducible
> Tags removed: unreproducible
>   

No, this was completely reproducible.  It happened to me - identically - 
at least three times.  It only stopped being a problem when I added this 
to my .ssh/config on the host I was using to connect to my slug:

   ServerAliveInterval 2


>> thanks
>>     
> Stopping processing here.
>
> Please contact me if you need assistance.
>
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
>
>   

Thanks for all you do!

-Del




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to 458154@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 458154@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Processed: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 00:12:21 +0100
retitle 458154 [NSLU2] ssh connection should not time out
tags 458154 + moreinfo
thanks

On Friday 04 January 2008, G. Del Merritt wrote:
> Please note: I was not able to recover "gracefully" from the timeout.

That is expected. As the installation process itself runs almost entirely in 
memory and also all "state" information is kept completely in memory, it is 
extremely hard to reliably support resuming installations from a random 
point.

However, you _could_ certainly have resumed the installation from certain 
points after starting a new session:
- it is always safe to resume by starting partitioning again
- it is even possible to restart base installation, though the installer
  may warn that "the base system is dirty"
- once you have successfully passed the "base installation" phase, you
  can resume any step after it

Note that you may have to select steps manually from the main menu when 
repeating multiple steps that had already been completed (which means 
changing to medium or low debconf priority).

If the installer displays real errors, then this should be taken as a sign 
that the installation has been corrupted to such an extend that resuming is 
not possible.

> >> retitle 458154 network-console: long time-out time during install
>
> Really?  I think the prior title was more appropriate: during an
> install, the ssh connection should not time out.

I agree. Changed back.

> >> tags 458154 -unreproducible
>
> No, this was completely reproducible.  It happened to me - identically -
> at least three times.  It only stopped being a problem when I added this
> to my .ssh/config on the host I was using to connect to my slug:

Well, the tag was _removed_, so that should actually make you happy :-)

However, the fact remains that _we_ have so far not been able to reproduce 
the issue. As I've said earlier, I've had an SSH install sitting unused for 
over 4 hours without the connection being lost, with basically default SSH 
settings both on the SSH client machine and in the installer.

So the question still is _why_ ssh drops the connection in your case.
AFAICT from reading the SSH documentation, the default SSH settings that are 
used in the installer do _not_ poll the client to see if it is still there, 
so it is unlikely that the server is responsible for dropping the 
connection.

Maybe you could try running your ssh client with maximum verbosity options 
to see what is going on?

Also, the solution you propose is on the _client_ side, so is not something 
we can fix in the installer. The only thing we could do at this point is 
document it.

Cheers,
FJP




Changed Bug title to `[NSLU2] ssh connection should not time out' from `network-console: long time-out time during install'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 06 Jan 2008 23:15:05 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Sun, 06 Jan 2008 23:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 458154@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: "G. Del Merritt" <del@lincoln.midcoast.com>
Cc: 458154@bugs.debian.org
Subject: Re: Bug#458154: [NSLU2] ssh connection should not time out
Date: Mon, 7 Jan 2008 11:40:05 +0100
Op 07-01-2008 om 00:12 schreef Frans Pop:
    <snip/>
> However, the fact remains that _we_ have so far not been able to reproduce 
> the issue. As I've said earlier, I've had an SSH install sitting unused for 
> over 4 hours without the connection being lost, with basically default SSH 
> settings both on the SSH client machine and in the installer.
> 
> So the question still is _why_ ssh drops the connection in your case.
> AFAICT from reading the SSH documentation, the default SSH settings that are 
> used in the installer do _not_ poll the client to see if it is still there, 
> so it is unlikely that the server is responsible for dropping the 
> connection.
> 
> Maybe you could try running your ssh client with maximum verbosity options 
> to see what is going on?

Please tell also about the network configuration, especially the Domain
Name Server setup. I suspect that due incomplete DNS configuration
the installer can not reverse lookup the FQDN of the client, which
results in different time-out behaviour.


Cheers
Geert Stappers





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 458154@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: Processed: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 12:30:16 +0000
On Mon, Jan 07, 2008 at 12:12:21AM +0100, Frans Pop wrote:
> However, the fact remains that _we_ have so far not been able to reproduce 
> the issue. As I've said earlier, I've had an SSH install sitting unused for 
> over 4 hours without the connection being lost, with basically default SSH 
> settings both on the SSH client machine and in the installer.
> 
> So the question still is _why_ ssh drops the connection in your case.

It's common enough for the network to be at fault here (depending on
your preferred definition of "fault"); for example, entries in NAT
tables can time out, which will cause the connection to die when you
next come back to it and try to send packets. Setting
ServerAliveInterval on the client side, as Del did, is probably the best
response.

ServerAliveInterval is not enabled by default because it has negative
consequences for people with connections that are unreliable in a
different way. Bob Proulx recently put it like this on the
openssh-unix-dev mailing list:

  One of the issues with setting a "keepalive" diddle is that it is also
  a "makedead" diddle.  If the connection is not online at that moment
  then the diddle packet will cause the connection failure to be noticed
  and will make it die.  This causes many people to not refer to this so
  much as a keepalive but as a makedead.  It makes the connection dead.
  Note that BatchMode sets keepalives automatically.

  Many people who now have connections that stay alive okay without a
  diddle packet would, if it were globally enabled, find that their
  connections die because the network connection timed out at times that
  they did not care about using it.  The diddle would make their
  connections dead.  Without the diddle then the connection only dies if
  it is offline when real data is needed to be transferred.  It will
  survive brief periods of the network being offline when nothing is
  happening.  It only has problems if there are real problems.  With a
  forced keepalive diddle packet sent periodically it may die due to
  synthesized data.  This may happen at times when nothing would have
  been active without the keepalive setting and the connection would
  have survived it okay.

  There are two valid sides to this problem.  There is no clear solution
  that solves both problems at the same time.  Neither is clearly right
  with the other clearly wrong.  This is what makes it a religous war
  between the two opposing viewpoints.  There is no single right answer.
  It is a value judgement as to which one is more important or more
  common than the other one.  In these situations the status quo is
  often the path of least resistance because it thrashes the least
  number of people.

> Also, the solution you propose is on the _client_ side, so is not something 
> we can fix in the installer. The only thing we could do at this point is 
> document it.

Setting ClientAliveInterval in the installer's sshd configuration would
have a similar effect, but suffers from the same trade-off mentioned
above. We'd simply get a different set of bugs of approximately the same
severity from a different set of people.

I agree that documenting this is the best approach.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 458154@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Geert Stappers <stappers@stappers.nl>, 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: [NSLU2] ssh connection should not time out
Date: Mon, 7 Jan 2008 12:33:53 +0000
On Mon, Jan 07, 2008 at 11:40:05AM +0100, Geert Stappers wrote:
> Please tell also about the network configuration, especially the Domain
> Name Server setup. I suspect that due incomplete DNS configuration
> the installer can not reverse lookup the FQDN of the client, which
> results in different time-out behaviour.

This is irrelevant. Such lookups happen when setting up an ssh
connection, not randomly during an existing connection. DNS has nothing
to do with this.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package network-console. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 458154@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 14:58:11 +0100
[Message part 1 (text/plain, inline)]
reassign 458154 installation-guide
retitle 458154 Document how to avoid dropped network-console connections
thanks

On Monday 07 January 2008, Colin Watson wrote:
> I agree that documenting this is the best approach.

Thanks for the info Colin.

Would the following text be OK for the installation guide (to be added as a 
note in the network-console section)?

<snip>
The <command>ssh</command> server in the installer uses a default
configuration that does not have a timeout set. This means that in
principle a connection to the system being installed should be kept
open indefinitely. However, in some cases &mdash; depending on your
local network setup &mdash; the connection may be lost after some
period of inactivity. Depending on at which point of the installation
the connection was lost, you may or may not be able to resume the
installation after reconnecting.

</para><para>

You may be able to avoid the connection being dropped by adding the option
<userinput>-o 
ServerAliveInterval=<replaceable>value</replaceable></userinput>
when starting the <command>ssh</command> connection, or by adding that
option in your <command>ssh</command> configuration. Note however that in
some cases adding this option may also <emphasis>cause</emphasis> a
connection to be dropped, so it should only be used when needed.
</snip>
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `network-console' to `installation-guide'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 07 Jan 2008 14:36:04 GMT) Full text and rfc822 format available.

Changed Bug title to `Document how to avoid dropped network-console connections' from `[NSLU2] ssh connection should not time out'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 07 Jan 2008 14:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 458154@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Frans Pop <elendil@planet.nl>, 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 16:14:55 +0100
On Mon, Jan 07, 2008 at 02:58:11PM +0100, Frans Pop wrote:
> reassign 458154 installation-guide
> retitle 458154 Document how to avoid dropped network-console connections
> thanks
> 
> On Monday 07 January 2008, Colin Watson wrote:
> > I agree that documenting this is the best approach.
> 
> Thanks for the info Colin.
> 
> Would the following text be OK for the installation guide (to be added as a 
> note in the network-console section)?
> 
> <snip>
> The <command>ssh</command> server in the installer uses a default
> configuration that does not have a timeout set.

"keepalive" is not the same thing as "timeout". I would suggest a
phrasing like "(...) that does not send keepalive probes", or something
similar. If I remember correctly from when I worked at an ISP helpdesk,
the word "timeout" is as incomprehensible to the uninitiated as is
"keepalive", so it's probably best to use terminology that is clear to
those who know what it's about.

-- 
<Lo-lan-do> Home is where you have to wash the dishes.
  -- #debian-devel, Freenode, 2004-09-22




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #95 received at 458154@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Frans Pop <elendil@planet.nl>
Cc: 458154@bugs.debian.org, "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 07 Jan 2008 13:22:32 -0200
Frans Pop <elendil@planet.nl> writes:

> reassign 458154 installation-guide
> retitle 458154 Document how to avoid dropped network-console connections
> thanks
>
> On Monday 07 January 2008, Colin Watson wrote:
>> I agree that documenting this is the best approach.
>
> Thanks for the info Colin.
>
> Would the following text be OK for the installation guide (to be added as a 
> note in the network-console section)?
>
> <snip>
> The <command>ssh</command> server in the installer uses a default
> configuration that does not have a timeout set. This means that in
> principle a connection to the system being installed should be kept
> open indefinitely. However, in some cases &mdash; depending on your
> local network setup &mdash; the connection may be lost after some
> period of inactivity. Depending on at which point of the installation
> the connection was lost, you may or may not be able to resume the
> installation after reconnecting.
>
> </para><para>
>
> You may be able to avoid the connection being dropped by adding the option
> <userinput>-o 
> ServerAliveInterval=<replaceable>value</replaceable></userinput>
> when starting the <command>ssh</command> connection, or by adding that
> option in your <command>ssh</command> configuration. Note however that in
> some cases adding this option may also <emphasis>cause</emphasis> a
> connection to be dropped, so it should only be used when needed.
> </snip>

It's  easy to understand. Dunno if anything could be improved from a
native POV but the ideas are very clear.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #100 received at 458154@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Frans Pop <elendil@planet.nl>, 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 15:41:46 +0000
On Mon, Jan 07, 2008 at 02:58:11PM +0100, Frans Pop wrote:
> On Monday 07 January 2008, Colin Watson wrote:
> > I agree that documenting this is the best approach.
> 
> Thanks for the info Colin.
> 
> Would the following text be OK for the installation guide (to be added as a 
> note in the network-console section)?
> 
> <snip>
> The <command>ssh</command> server in the installer uses a default
> configuration that does not have a timeout set. This means that in
> principle a connection to the system being installed should be kept
> open indefinitely. However, in some cases &mdash; depending on your
> local network setup &mdash; the connection may be lost after some
> period of inactivity.

I don't really like the first couple of sentences here. How about:

  The <command>ssh</command> server in the installer uses a default
  configuration that does not send keep-alive packets. In principle, a
  connection to the system being installed should be kept open
  indefinitely.

Keep-alive packets aren't really a timeout, so the previous version
jarred with me a bit.

> You may be able to avoid the connection being dropped by adding the option
> <userinput>-o 
> ServerAliveInterval=<replaceable>value</replaceable></userinput>
> when starting the <command>ssh</command> connection, or by adding that
> option in your <command>ssh</command> configuration. Note however that in
> some cases adding this option may also <emphasis>cause</emphasis> a
> connection to be dropped, so it should only be used when needed.

I'd add a bit in the last sentence:

  ... connection to be dropped (for example if keep-alive packets are
  sent during a brief network outage, from which <command>ssh</command>
  would otherwise have recovered), so ...

Otherwise sounds good to me.

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to 458154@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #105 received at 458154@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 17:30:19 +0100
[Message part 1 (text/plain, inline)]
On Monday 07 January 2008, Wouter Verhelst wrote:
> > Would the following text be OK for the installation guide (to be added
> > as a note in the network-console section)?
> >
> > <snip>
> > The <command>ssh</command> server in the installer uses a default
> > configuration that does not have a timeout set.
>
> "keepalive" is not the same thing as "timeout".

I'm aware of that. From a user PoV it still looks as a timeout though, 
whether caused by SSH or e.g. NAT.

I see such "timeouts" myself when connecting e.g. to Debian servers, and 
until this discussion I never really understood what caused them. Now that 
is clear.

So maybe we should make explicit that this issue is most likely to happen if 
there is NAT anywhere between the system being installed and the client.

With the comments from Colin, that would result in the following text:

<snip>
The <command>ssh</command> server in the installer uses a default
configuration that does not send keep-alive packets. In principle,
a connection to the system being installed should be kept open
indefinitely. However, in some situations &mdash; depending on your
local network setup &mdash; the connection may be lost after some                     
period of inactivity. One common case where this may happen is when
there is some form of Network Address Translation (NAT) somewhere
between the client and the system being installed. Depending on at
which point of the installation the connection was lost, you may or
may not be able to resume the installation after reconnecting.

</para><para>

You may be able to avoid the connection being dropped by adding the option
<userinput>-o 
ServerAliveInterval=<replaceable>value</replaceable></userinput>
when starting the <command>ssh</command> connection, or by adding that
option in your <command>ssh</command> configuration file. Note however
that in some cases adding this option may also <emphasis>cause</emphasis>
a connection to be dropped (for example if keep-alive packets are sent
during a brief network outage, from which <command>ssh</command> would
otherwise have recovered), so it should only be used when needed.
</snip>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to del@alum.mit.edu:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #110 received at 458154@bugs.debian.org (full text, mbox):

From: Del Merritt <del@alum.mit.edu>
To: Colin Watson <cjwatson@debian.org>
Cc: 458154@bugs.debian.org
Subject: Re: Bug#458154: Processed: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 07 Jan 2008 11:52:27 -0500
Colin Watson wrote:
> On Mon, Jan 07, 2008 at 12:12:21AM +0100, Frans Pop wrote:
>   
>> However, the fact remains that _we_ have so far not been able to reproduce 
>> the issue. As I've said earlier, I've had an SSH install sitting unused for 
>> over 4 hours without the connection being lost, with basically default SSH 
>> settings both on the SSH client machine and in the installer.
>>
>> So the question still is _why_ ssh drops the connection in your case.
>>     

My specific network configuration at the time of the installation - both 
failed attempts and the successful one - was (and is):

   * target "slug" on internal LAN (typical RFC1918 class C, 192.168.0.*)
   * ssh client (i.e., where I ran the "ssh installer@myslug" command)
     is itself behind a Netscreen 5XP VPN device; so indeed, there is
     "something" interesting about my network topology
   * ssh client is running RHEL4 - don't ask why and I won't feel lamer
     than I already do ;-)


> It's common enough for the network to be at fault here (depending on
> your preferred definition of "fault"); for example, entries in NAT
> tables can time out, which will cause the connection to die when you
> next come back to it and try to send packets. Setting
> ServerAliveInterval on the client side, as Del did, is probably the best
> response.
>   

It's worth noting that before I modified my .ssh/config my ssh clients 
would indeed time out when connected to remote hosts.  Since I made the 
change my connections remain solid, both to the slug and to other 
systems.  So for me, this will be a "permanent" change, at least until 
it bites me for some other reason.

> ServerAliveInterval is not enabled by default because it has negative
> consequences for people with connections that are unreliable in a
> different way. Bob Proulx recently put it like this on the
> openssh-unix-dev mailing list:
>
> 8< snip 8<
>
>   
>> Also, the solution you propose is on the _client_ side, so is not something 
>> we can fix in the installer. The only thing we could do at this point is 
>> document it.
>>     
>
> Setting ClientAliveInterval in the installer's sshd configuration would
> have a similar effect, but suffers from the same trade-off mentioned
> above. We'd simply get a different set of bugs of approximately the same
> severity from a different set of people.
>
> I agree that documenting this is the best approach.
>   

I am happy with a documentation "fix" as well.  The wording that has 
been floated (and is being tweaked) in other parts of this bug's thread 
look fine to me and would have likely helped me avoid the 
originally-reported issue.  Thanks!

In response to Frans Pop's comments dated Mon, 7 Jan 2008 00:12:21 +0100:

   On Friday 04 January 2008, G. Del Merritt wrote:
    > Please note: I was not able to recover "gracefully" from the timeout.

   That is expected. As the installation process itself runs almost
   entirely in
   memory and also all "state" information is kept completely in
   memory, it is
   extremely hard to reliably support resuming installations from a random
   point.

   However, you _could_ certainly have resumed the installation from
   certain
   points after starting a new session:
   - it is always safe to resume by starting partitioning again
   - it is even possible to restart base installation, though the installer
     may warn that "the base system is dirty"

I tried to restart the base install and the system did warn about 
possibly being "dirty"; unfortunately I don't think I have any screen 
captures aside from what I have provided already.  However, after a few 
moments of "thinking", the installer always put me back to a red 
background saying it could not proceed.  This is why I started from scratch.

-Del

p.s. - with regard to the reproducibility status of the issue, my 
apologies; I misread the email that noted the change.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #115 received at 458154@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 07 Jan 2008 16:00:53 -0200
Frans Pop <elendil@planet.nl> writes:

> The <command>ssh</command> server in the installer uses a default
> configuration that does not send keep-alive packets. In principle,
> a connection to the system being installed should be kept open
> indefinitely. However, in some situations &mdash; depending on your
> local network setup &mdash; the connection may be lost after some                     
> period of inactivity. One common case where this may happen is when
> there is some form of Network Address Translation (NAT) somewhere
> between the client and the system being installed. Depending on at
> which point of the installation the connection was lost, you may or
> may not be able to resume the installation after reconnecting.

I think that the text talking about NAT could be used in place of the
"depending on your local network setup" like "one common case where
this may happen is when there is some form of Network Address
Translation (NAT) somewhere between the client and the system being
installed".

So:

The <command>ssh</command> server in the installer uses a default
configuration that does not send keep-alive packets. In principle, a
connection to the system being installed should be kept open
indefinitely. However, in some situations &mdash; one common case
where this may happen is when there is some form of Network Address
Translation (NAT) somewhere between the client and the system being
installed &mdash; the connection may be lost after some period of
inactivity. Depending on at which point of the installation the
connection was lost, you may or may not be able to resume the
installation after reconnecting.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 458154@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 458154@bugs.debian.org
Cc: "G. Del Merritt" <del@lincoln.midcoast.com>
Subject: Re: Bug#458154: Processed: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 14:34:36 -0500
[Message part 1 (text/plain, inline)]
Frans Pop wrote:
> So the question still is _why_ ssh drops the connection in your case.

Some crappy routers and firewalls do this to TCP connections that pass
through them.

> Also, the solution you propose is on the _client_ side, so is not something 
> we can fix in the installer. The only thing we could do at this point is 
> document it.

ClientAliveInterval is a server-side setting, and should do the same
thing as the client-side ServerAliveInterval.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#458154; Package installation-guide. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #125 received at 458154@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 458154@bugs.debian.org
Subject: Re: Bug#458154: network-console: long time-out time during install
Date: Mon, 7 Jan 2008 22:27:42 +0100
tags 458154 pending
thanks

On Monday 07 January 2008, Otavio Salvador wrote:
> I think that the text talking about NAT could be used in place of the
> "depending on your local network setup" like "one common case where
> this may happen is when there is some form of Network Address
> Translation (NAT) somewhere between the client and the system being
> installed".

I prefer the original version as the sentence is already long and complex 
enough. I thought about moving the second sentence to a footnote, but felt 
that it is too important for that.

Anyway, committed in SVN.




Tags added: pending Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Mon, 07 Jan 2008 21:30:06 GMT) Full text and rfc822 format available.

Reply sent to Frans Pop <fjp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to del@alum.mit.edu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #132 received at 458154-close@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: 458154-close@bugs.debian.org
Subject: Bug#458154: fixed in installation-guide 20080211
Date: Tue, 12 Feb 2008 02:02:08 +0000
Source: installation-guide
Source-Version: 20080211

We believe that the bug you reported is fixed in the latest version of
installation-guide, which is due to be installed in the Debian FTP archive:

installation-guide-alpha_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-alpha_20080211_all.deb
installation-guide-amd64_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-amd64_20080211_all.deb
installation-guide-arm_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-arm_20080211_all.deb
installation-guide-hppa_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-hppa_20080211_all.deb
installation-guide-i386_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-i386_20080211_all.deb
installation-guide-ia64_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-ia64_20080211_all.deb
installation-guide-mips_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-mips_20080211_all.deb
installation-guide-mipsel_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-mipsel_20080211_all.deb
installation-guide-powerpc_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-powerpc_20080211_all.deb
installation-guide-s390_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-s390_20080211_all.deb
installation-guide-sparc_20080211_all.deb
  to pool/main/i/installation-guide/installation-guide-sparc_20080211_all.deb
installation-guide_20080211.dsc
  to pool/main/i/installation-guide/installation-guide_20080211.dsc
installation-guide_20080211.tar.gz
  to pool/main/i/installation-guide/installation-guide_20080211.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458154@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated installation-guide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 11 Feb 2008 19:35:22 +0100
Source: installation-guide
Binary: installation-guide-alpha installation-guide-amd64 installation-guide-arm installation-guide-hppa installation-guide-i386 installation-guide-ia64 installation-guide-mips installation-guide-mipsel installation-guide-powerpc installation-guide-s390 installation-guide-sparc
Architecture: source all
Version: 20080211
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 installation-guide-alpha - Debian installation guide
 installation-guide-amd64 - Debian installation guide
 installation-guide-arm - Debian installation guide
 installation-guide-hppa - Debian installation guide
 installation-guide-i386 - Debian installation guide
 installation-guide-ia64 - Debian installation guide
 installation-guide-mips - Debian installation guide
 installation-guide-mipsel - Debian installation guide
 installation-guide-powerpc - Debian installation guide
 installation-guide-s390 - Debian installation guide
 installation-guide-sparc - Debian installation guide
Closes: 416304 420894 457137 458154 458459
Changes: 
 installation-guide (20080211) unstable; urgency=low
 .
   [ Martin Michlmayr ]
   * Remove all information about RiscPC because these machines are
     no longer supported.
 .
   [ Joey Hess ]
   * Document the new tasksel/desktop preseed for lenny.
 .
   [ Frans Pop ]
   * Add cm-super to build dependencies as that improves the quality of the
     Russian PDF version.
   * Suggest 'nousb' instead of debian-installer/probe/usb as USB modules are
     now loaded automatically.
   * Fix incorrect instruction for preseeding local repositories.
     Thanks to Rémi Demarthe. Closes: #420894.
   * Add translatable entities for Continue, Cancel and Go Back buttons.
   * Add build dependencies on texlive-lang-* packages for languages for which
     the manual has translations.
   * Document new boot parameters "lowmem" and "dmraid".
   * Document new location of graphical mini.iso images.
   * Document base-installer/kernel/image preseed.
 .
   [ Joey Hess ]
   * Document new lilo-installer/skip preseed.
   * Document passwd/user-default-groups preseed.
 .
   [ Colin Watson ]
   * Recommend preseeding mirror/country to "manual" rather than "enter
     information manually" (choose-mirror 2.17).
   * Remove text talking about devfs-style device names, which are no longer
     supported.
   * preparing/minimum-hardware-reqts.xml: Pluralise "gigabyte" consistently.
 .
   [ Joey Hess ]
   * Document clock-setup/ntp.
 .
   [ Frans Pop ]
   * Support for sparc32 has been discontinued for Lenny. This also means that
     booting from floppy is no longer supported for sparc.
   * Extend the documentation of apt-setup, especially the decision whether or
     not to use a network mirror. Document selection of services.
   * Document new apt-setup/services-select and related hostname preseeds.
   * Add some information about creating device files in the appendix on chroot
     installs; also add a note that the appendix only covers the basic steps
     of a chroot install.
   * Warn against installing Debian while another OS is hibernated.
 .
   [ Joey Hess ]
   * Document how to preseed partman-auto to use only available disk, no matter
     what it's name is.
   * debian/rules: call dh_md5sums.
   * Document debian-installer/exit/halt preseed.
 .
   [ Colin Watson ]
   * Clarify that you need to actually provide an autopartitioning method as
     well as preseeding the partman confirmation messages.
 .
   [ Frans Pop ]
   * Make copyright refer explicitly to GPL version 2 as that is the version
     included in the appendix; add reference to /usr/share/common-licenses to
     make Lintian happy.
   * Rename doc-base.TEMPLATE to TEMPLATE.doc-base to avoid its inclusion in
     the package for the first architecture. Closes: #416304.
   * Modify language codes that include a country for the doc-base document ID
     so they only contain valid characters.
   * Remove the PDF section in doc-base files if PDF format is not built for a
     language.
   * Update standards version to 3.7.3; no changes needed.
   * Patch from Changwoo Ryu to replace Hangul-ucs with ko.tex fonts for Korean
     PDF version of the manual. Closes: #457137.
   * using-d-i:
     - move clock-setup, tzsetup and user-setup to reflect their changed
       position in the installation procedure
     - mention that clock-setup will now attempt to set the system time from a
       time server
     - split clock-setup as part is now executed during finish-install
     - add instructions on how a different time zone from the one(s) that match
       the selected location can be set (as that is a FAQ)
     - improve readability of partman section by using separate subsections for
       guided and manual partitioning
     - network-console: add information about dropped connections and how to
       avoid that (closes: #458154); add footnote with command to remove a host
       from the known_hosts file
   * howto, preseed: update for reordering of the installation procedure.
   * Change build dependency on gs-common to ghostscript.
   * Use --previous when updating PO files so translators can see the changes
     in a string.
 .
   [ Colin Watson ]
   * Use &releasename; rather than hardcoding etch in sources.list
     recommendation for chroot installs. Closes: #458459.
 .
   [ Frans Pop ]
   * Make UTF-8 the default encoding for the text version for all languages
     that still used ISO-8859-1.
   * Korean text version changed to UTF-8 on request of Changwoo Ryu.
   * Japanese text version changed to UTF-8 on request of KURASAWA Nozomu.
   * Enable PDF for Korean for website builds.
   * Disable Finnish, Hungarian and Spanish for this release as they have not
     been updated.
Files: 
 c8160650f96ab63a32fd9357a900898a 1345 doc optional installation-guide_20080211.dsc
 159439abffb0a13750360c71ca86827d 7226715 doc optional installation-guide_20080211.tar.gz
 f5d04c5a7c28542c5a38b65b79fded54 12814678 doc optional installation-guide-alpha_20080211_all.deb
 0115f14b98be7d87c2a6506a337da448 14326836 doc optional installation-guide-amd64_20080211_all.deb
 124b36e20a9ee1b0d485941c8ea66f76 12382846 doc optional installation-guide-arm_20080211_all.deb
 721773b1220bda70de047e4019789cea 12013674 doc optional installation-guide-hppa_20080211_all.deb
 82b37f4de2cd1cdbc653855341acaa63 14749712 doc optional installation-guide-i386_20080211_all.deb
 f039f298ea140b938e6b2f5dcadc21de 12794932 doc optional installation-guide-ia64_20080211_all.deb
 2d0a85049dd3beb5ac39bd2de76dc4a5 12185090 doc optional installation-guide-mips_20080211_all.deb
 9d20795afe8f37570bc38c050f937a4d 12385836 doc optional installation-guide-mipsel_20080211_all.deb
 90d4955a9a224b6c57b43a79cb1bc602 14210328 doc optional installation-guide-powerpc_20080211_all.deb
 4798971c5818021912e52bc512c71352 11301844 doc optional installation-guide-s390_20080211_all.deb
 0cbb881a71f93d92f68ba3bc5417d5e4 12707176 doc optional installation-guide-sparc_20080211_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHsPFpgm/Kwh6ICoQRAj8zAJ9ui84P0R5705YPGiqxk3ncckGd2wCgqb0P
B54Q+dBfnHZ625TvstOJY9Y=
=CV/k
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Mar 2008 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:50:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.